# Installation instructions
* You must indicate where your FreeRADIUS configuration files live using the FREERADIUS_PATH environment variable.
* Excute the setup.py script
```
FREERADIUS_PATH=/etc/freeradius python setup.py install
```

* Edit file `sites-enabled/inner-tunnel` or whichever you are using, and add `moonshot_totp` at the end of the `authorize` section, right below `pap`
* For each user you want to use TOTP, add the `Moonshot-OTP-Secret` config attribute. If using SQL databases, put it into the `radcheck` table. If using `users` file, use the following notation (notice the `,` and the single line):

```
test@test.org   Cleartext-Password := "OneTestingPassword", Moonshot-OTP-Secret := "7MR674BRPXXNYGGMPFA52MW6GSMA6JQL"
```
* OTP secrets are base32 numbers. You can generate random ones by just executing `python moonshot_totp.py`.
